<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Sites extends CI_Controller {

	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('zip');		
		$this->load->library('form_validation');
		$this->load->library('ga_api');
		$this->load->model('datamodel');
		$this->load->model('usermodel');
		$this->load->library('pagination');

				
				
				
		
		
			
		$this->data['pageTitle'] = $this->lang->line('sites_page_title');
		
		if(!$this->ion_auth->logged_in()) {
			
			redirect('/login');
		
		}
			
	}
	public function index(){
		
		
		$this->data["sites"]=$this->datamodel->fetch_all_data();
		
		$this->load->view('pages/pages',$this->data);
		
       
	}
	
	//submit Category
	public function submitCategory()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$categoryName = $_POST['categoryName'];
		
		$this->datamodel->insertCategory($categoryName,$userID);
		
	}		
	//fetch categories 
	public function FetchCategories()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$result = mysqli_query($this->db->conn_id,"select * from select_tags where user_id='".$userID."'");
		echo '<select class="myCategories">';
		echo '<option value="">--Select--</option>';
		while($row = mysqli_fetch_array($result))
		{
			echo '<option value="'.$row['options_id'].'">'.$row['select_head'].'</option>';
		}
		echo '</select>';
	}	
	//fetch categories 
	public function FetchSites()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$result = mysqli_query($this->db->conn_id,"select * from custom_field where user_id='".$userID."'");
		echo '<select id="mySites">';
		echo '<option value="">--Select--</option>';
		while($row = mysqli_fetch_array($result))
		{
			echo '<option value="'.$row['id'].'">'.$row['options_value'].'</option>';
		}
		echo '</select>';
	}
	//fetch categories 
	public function FetchBlogs()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$result = mysqli_query($this->db->conn_id,"select * from custom_blogs where user_id='".$userID."'");

		echo '<option value="">--Select--</option>';
		while($row = mysqli_fetch_array($result))
		{
			echo '<option value="'.$row['id'].'">'.$row['title'].'</option>';
		}
		
	}
	//submit option
	public function submitOption()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$name = $_POST['optionName'];
		$url = $_POST['optionUrl'];
		$selectId = $_POST['selectId'];
		
		$this->datamodel->insertNewOption($name,$url,$selectId,$userID);
	}	
public function deleteUser(){
	 
  
  $userid=$_POST['id'];
  $this->UserId['id']=$this->usermodel->deleteUser($userid);
  //$this->data['users'] = $this->usermodel->getAll();
   // displaying logo
 //$data['display_logo']=$this->datamodel->display_logo_images();
   
  // $this->load->view('users/manage_users',$this->data);
 
 
 
 
 }	
	//delete site
	public function deleteSite()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$siteid = $_POST['siteId'];
		
		$this->datamodel->deleteSite($siteid);
	}	
	//delete category
	public function deleteCategory()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$catid = $_POST['catId'];
		
		$this->datamodel->deleteCategory($catid);
	}
	public function checkCategory()
	{
		 $u = $this->ion_auth->user()->row();
		 $user_id = $u->id;
		if(isset($_POST['category_name'])) {
				//$usernames = array('john','michael','terry', 'steve', 'donald');
		$category_name = $_POST['category_name'];	
		
	// $this->db->from('frames');
     //$this->db->where('frame_name', $deal_name);
     //$query = $this->db->get();
	 
     $sql_check = mysqli_query($this->db->conn_id,"select * from select_tags where select_head='".$category_name."' and user_id='".$user_id."'");
     //$dealnames = $query->result();
				
			 
			if(mysqli_num_rows($sql_check)>0) {
				echo 1;
			} else {
				echo 0;
			}
		}
		else
		echo "post error";		
	}		
	
	//Api call Functions Below
	public function search()
	{
			if(isset($_GET['paged'])){$paged=$_GET['paged'];}else{$paged=1;}
		    echo "<br /><p>Your Search Results Google:</p>";
		
		 $url = 'https://www.googleapis.com/customsearch/v1?googlehost=google.com&key=AIzaSyBW2oiru-fa7gTmHzPVtHhlgxaUX5KzL4M&cx=014517126046550339258:qoem7fagpyk&q='.str_replace(' ', '%20', $_GET['input']).'&imgSize=large&start='.$paged;	
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_REFERER, 'http://localhost/searchApi/');
        $body = curl_exec($ch);
        curl_close($ch);
		 $body = file_get_contents($url);
        $json = json_decode($body,true);
	//print_r($json);
	if(array_key_exists('items',$json))
	{
        foreach ($json['items'] as $data) {
            echo '
                <p><b>
                <a href ='.$data['link'].'  target="_blank">', $data ['title'],"</b></a> ---> <u>Google SE </u>" ,'<br />
                ', '<a href ='.$data['link'].'  target="_blank">'.$data['displayLink']."</a>" , '<br />
                ', $data['snippet'],'
                </p>';
        }		
	}
	else
	{
		echo '<p><b>Sorry!!! No Results  available for this Query</b></p>';
	}
		
		
/* if(isset($_GET['input']) && $_GET['input'] != "")
{
    echo "<br /><p>Your Search Results Google:</p><br /><br />";

    for ($i = 0; $i < 10; $i++)
    {

       // $url =  "http://ajax.googleapis.com/ajax/services/search/web?v=1.0&key=AIzaSyBacVRiPNo7uMqhtjXG4Zeq1DtSQA_UOD4&cx=014517126046550339258:qoem7fagpyk
       //     &num=10&start=".$i."&"."q=amit";
	   //$url = 'http://www.google.com/search?q=amit';
	   
    $url = "http://ajax.googleapis.com/ajax/services/search/web";
     
	 $args = array(
        'q' => $_GET['input'],
 );
    if ( !array_key_exists('v', $args) )
        $args['v'] = '1.0';
     
    $url .= '?'.http_build_query($args, '', '&');	   
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    // note that the referer *must* be set
    curl_setopt($ch, CURLOPT_REFERER, 'http://localhost/searchApi/');
    $body = curl_exec($ch);
    curl_close($ch);

        $json = json_decode($body,true);
		print_r($json);
		if($json){
        foreach ($json['responseData']['results'] as $data) {
            echo '
                <p>
                ', $data ['title']," ---> <u>Google SE </u>" ,'<br />
                ', '<a href ='.$data['url'].' target="_blank">'.$data['url']."</a>" , '<br />
                ', $data['content'],'
                </p>';
        }
		}else{echo 'nothing find';}
    }

}	 */	
	}
	
	//youtube
	public function fetchYoutube()
	{
	$urldata=$_POST['channelName'];
	$results = $_POST['results'];
	$urldata = str_ireplace(' ','+',$urldata);	
	$url2 = "https://www.googleapis.com/youtube/v3/search?part=snippet&q='.$urldata .'&maxResults=10&order=viewCount&key=AIzaSyBW2oiru-fa7gTmHzPVtHhlgxaUX5KzL4M";
	
			echo '<table class="table  table-striped b_1">  
					<thead>  
					  <tr>  
						
						<th>Icon </th>
						<th>Title</th>
						<th>Views</th>  
						<th>Comments</th>  
						
					  </tr>  
					</thead>  
					<tbody>  ';		
		$video_list = json_decode(file_get_contents('https://www.googleapis.com/youtube/v3/search?part=snippet&q='.$urldata .'&maxResults='.$results.'&order=viewCount&key=AIzaSyBW2oiru-fa7gTmHzPVtHhlgxaUX5KzL4M'));
	

			foreach($video_list->items as $item)
		{
				//Embed video
								if(isset($item->id->videoId)){
				$video_ID = $item->id->videoId ;
				$JSON = "https://www.googleapis.com/youtube/v3/videos?part=statistics&id=".$video_ID."&key=AIzaSyBW2oiru-fa7gTmHzPVtHhlgxaUX5KzL4M";
					$data3 = $this->processURL($JSON);
					$decoded_stats = json_decode($data3, true);		
				//	print_r($decoded_stats);
					
				//$views = $decoded_stats['items'][0]['statistics']['viewCount'];	
				//if($decoded_stats['items'][0]['statistics']['commentCount'])
					$decoded_comments = $decoded_stats['items'][0]['statistics'];
					
				if (array_key_exists('commentCount', $decoded_comments)) 	
				{
				$comments = $decoded_stats['items'][0]['statistics']['commentCount'];
				}
				else
				{
					$comments = '-';
				}				
				if (array_key_exists('viewCount', $decoded_comments)) 	
				{
				$views = $decoded_stats['items'][0]['statistics']['viewCount'];
				}
				else
				{
					$views = '-';
				}					
				$title =  strlen($item->snippet->title) > 30 ? substr($item->snippet->title,0,30)."..." : $item->snippet->title;	
					

						echo '
								<tr> 				
									
									
									<td><a href="#'. $item->id->videoId .'" title="'. $item->snippet->title .'" class="vidPop" data-title="'. $item->snippet->title .'">
									<img src="'. $item->snippet->thumbnails->medium->url .'" alt="'. $item->snippet->title .'" class="img-responsive" height="130px" /></a>
									</td>
									<td>'.$title.'</td>
									<td>'.$views.'</td>  
									<td>'.$comments.'</td>  
								  </tr>
								';
			
				}

		}	
			echo '</tbody>  
				 </table> 

          </div>
          </div> ';			

		
	}	
	
	//vimeo search
	public function fetchVimeo()
	{
	$urldata=$_POST['keyword'];
	$results = $_POST['results'];
	$urldata = str_ireplace(' ','+',$urldata);	
	
	$accesstoken = "efff5daf83aa8c8a5e2cb814ac890494";
    $url = 'https://api.vimeo.com/videos?query='.$urldata.'&access_token='.$accesstoken.'&per_page='.$results;

    $all_result  = $this->processURL($url);
    $decoded_results = json_decode($all_result, true);
	
			echo '<table class="table  table-striped b_1">  
					<thead>  
					  <tr>  
						
						<th>Icon </th>
						<th>Title</th>
						<th>Views</th>  
						<th>Comments</th>  
						
					  </tr>  
					</thead>  
					<tbody>  ';		

	

	if(isset($decoded_results))
	{	if(array_key_exists('data', $decoded_results))
		{
    foreach($decoded_results['data'] as $item){
       // $iframe_link = $item['embed']['html'];
		$videoid = $item['uri'];
		$videoid=str_ireplace('/videos/','',$videoid);
		$frame_link ='<iframe width="100%" height="550" src="//player.vimeo.com/video/'.$videoid.'?title=0&amp;byline=0&amp;portrait=0"></iframe>'; 
		
		$thumbnail_link = $item['pictures']['uri'];
		
		$thumbnail_link=str_ireplace('/videos/'.$videoid.'/pictures/','',$thumbnail_link);
		$thumbnail_link = 'https://i.vimeocdn.com/video/'.$thumbnail_link.'_640x360.jpg';
		$plays = $item['stats']['plays'];
		$comments =$item['metadata']['connections']['comments']['total'];
		
						echo '
								<tr> 				
									
									
									<td><a href="#'. $videoid .'" title="'. $item['name'] .'" class="vimeoVidPop" data-title="'. $item['name'] .'">
									<img src="'. $thumbnail_link .'" alt="'. $item['name'] .'" class="img-responsive" height="130px" /></a>
									</td>
									<td>'.$item['name'].'</td>
									<td>'.$plays.'</td>  
									<td>'.$comments.'</td>  
								  </tr>
								';			
    }
		}
	}
		else
	{
		echo "No results found.";
	}
			echo '</tbody>  
				 </table> 

          </div>
          </div> ';			

		
	}	
	
	
	private function processURL($url2)
    {
        $ch = curl_init();
        curl_setopt_array($ch, array(
        CURLOPT_URL => $url2,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_SSL_VERIFYHOST => 2
        ));

        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }		
	public function ebaySearch()
	{
				// API request variables
		$endpoint = 'http://svcs.ebay.com/services/search/FindingService/v1';  // URL to call
		$version = '1.0.0';  // API version supported by your application
		$appid = 'Onlighte-cd41-4875-9938-27dfd9ff69cf';  // Replace with your own AppID
		$globalid = 'EBAY-US';  // Global ID of the eBay site you want to search (e.g., EBAY-DE)
		$query = $_POST['target'];  // You may want to supply your own query
		$maxResults = $_POST['maxResults'];
		
		$safequery = urlencode($query);  // Make the query URL-friendly
		$i = '0';  // Initialize the item filter index to 0

		// Create a PHP array of the item filters you want to use in your request
		$filterarray =
		  array(
			array(
			'name' => 'MaxPrice',
			'value' => '25000',
			'paramName' => 'Currency',
			'paramValue' => 'USD'),
			array(
			'name' => 'FreeShippingOnly',
			'value' => 'true',
			'paramName' => '',
			'paramValue' => ''),
			array(
			'name' => 'ListingType',
			'value' => array('AuctionWithBIN','FixedPrice','StoreInventory'),
			'paramName' => '',
			'paramValue' => ''),
		  );



		// Build the indexed item filter URL snippet
		$urlfilter = $this->buildURLArray($filterarray);

		// Construct the findItemsByKeywords HTTP GET call 
		$apicall = "$endpoint?";
		$apicall .= "OPERATION-NAME=findItemsByKeywords";
		$apicall .= "&SERVICE-VERSION=$version";
		$apicall .= "&SECURITY-APPNAME=$appid";
		$apicall .= "&GLOBAL-ID=$globalid";
		$apicall .= "&keywords=$safequery";
		$apicall .= "&paginationInput.entriesPerPage=$maxResults";
		//$apicall .= "$urlfilter";

		// Load the call and capture the document returned by eBay API
		$resp = simplexml_load_file($apicall);

		// Check to see if the request was successful, else print an error
		echo '    <div class="v_sec">
				<ul>';		
		if ($resp->ack == "Success") {
		  $results = '';
		  // If the response was loaded, parse it and build links 
		  
		  foreach($resp->searchResult->item as $item) {
			$pic   = $item->galleryURL;
			$link  = $item->viewItemURL;
			$title = $item->title;
		  
			// For each SearchResultItem node, build a link and append it to $results
			$results .= "<li><img src=\"$pic\"></td><td><a href=\"$link\" target='_blank>$title</a></li>";
			echo $results;
		  }
		}

		// If the response does not indicate 'Success,' print an error
		else {
		  $results  = "<h3>Oops! The request was not successful. Make sure you are using a valid ";
		  $results .= "AppID for the Production environment.</h3>";
		  echo $results;
		}
				echo '</ul></div>';
	}
	
		// Generates an indexed URL snippet from the array of item filters
		public	function buildURLArray ($filterarray) {
					  global $urlfilter;
					  global $i;
					  // Iterate through each filter in the array
					  foreach($filterarray as $itemfilter) {
						// Iterate through each key in the filter
						foreach ($itemfilter as $key =>$value) {
						  if(is_array($value)) {
							foreach($value as $j => $content) { // Index the key for each value
							  $urlfilter .= "&itemFilter($i).$key($j)=$content";
							}
						  }
						  else {
							if($value != "") {
							  $urlfilter .= "&itemFilter($i).$key=$value";
							}
						  }
						}
						$i++;
					  }
					  return "$urlfilter";
					} // End of buildURLArray function	

	//twitter API call
	function twitterSearch()
	{
			$twitter_handle = $_POST['target'];
			//$twitter_handle = urlencode($twitter_handle);
			$twitter_handle = str_ireplace(' ','_',$twitter_handle);
			$url = "https://api.twitter.com/1.1/statuses/user_timeline.json";
			 
			$oauth_access_token = "452012653-wIfUYWSMdqI0IZ0ldF4pbxvUlpnVvKrgLJZuqfpC";
			$oauth_access_token_secret = "A2oP7MBMXtW1sEecreBVfea6Va1MhcE1ONydoHzHUskwE";
			$consumer_key = "CC8OzmfxleOiXaUXUsljpOB9S";
			$consumer_secret = "ee9k3X0qIQCi9W5A6qYjrn932lcJkFTbLRsUeEJvQoCHjx8YFW";
			 
			$oauth = array( 'oauth_consumer_key' => $consumer_key,
							'oauth_nonce' => time(),
							'oauth_signature_method' => 'HMAC-SHA1',
							'oauth_token' => $oauth_access_token,
							'oauth_timestamp' => time(),
							'oauth_version' => '1.0',
							'screen_name' => $twitter_handle);
			 
			$base_info = $this->buildBaseString($url, 'GET', $oauth);
			$composite_key = rawurlencode($consumer_secret) . '&' . rawurlencode($oauth_access_token_secret);
			$oauth_signature = base64_encode(hash_hmac('sha1', $base_info, $composite_key, true));
			$oauth['oauth_signature'] = $oauth_signature;
			 
			// Make Requests
			$header = array($this->buildAuthorizationHeader($oauth), 'Content-Type: application/json', 'Expect:');
			$options = array( CURLOPT_HTTPHEADER => $header,
							  //CURLOPT_POSTFIELDS => $postfields,
							  CURLOPT_HEADER => false,
							  CURLOPT_URL => $url . '?screen_name=' . $twitter_handle,
							  CURLOPT_RETURNTRANSFER => true,
							  CURLOPT_SSL_VERIFYPEER => false);
			$feed = curl_init();
			curl_setopt_array($feed, $options);
			$json = curl_exec($feed);
			//print_r($json);
			curl_close($feed);

			$decode = json_decode($json, true); //getting the file content as array
			 /*
			echo '<ul>';
			foreach($decode as $tweet) {
				$tweet_text = $tweet["text"];
				echo '<li>';
				echo $tweet_text;
				echo '</li>';
			}
			echo '</ul>';*/
			 
			$reg_exUrl = "/(http|https|ftp|ftps)\:\/\/[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/";
			$reg_exHash = "/#([a-z_0-9]+)/i";
			$reg_exUser = "/@([a-z_0-9]+)/i";
			 
			echo '<p>Related Twitter Posts:</p>
				<ul>';
			foreach ($decode as $tweet) {
				if(isset($tweet["text"])){
				$tweet_text = $tweet["text"]; //get the tweet
				  
				// make links link to URL
				// http://css-tricks.com/snippets/php/find-urls-in-text-make-links/
				if(preg_match($reg_exUrl, $tweet_text, $url)) {
			 
				   // make the urls hyper links
				   $tweet_text = preg_replace($reg_exUrl, "<a target='_blank' href='{$url[0]}'>{$url[0]}</a> ", $tweet_text);
			 
				}
			 
				if(preg_match($reg_exHash, $tweet_text, $hash)) {
			 
				   // make the hash tags hyper links    https://twitter.com/search?q=%23truth
				   $tweet_text = preg_replace($reg_exHash, "<a target='_blank' href='https://twitter.com/search?q={$hash[0]}'>{$hash[0]}</a> ", $tweet_text);
					
				   // swap out the # in the URL to make %23
				   $tweet_text = str_replace("/search?q=#", "/search?q=%23", $tweet_text );
			 
				}
			 
				if(preg_match($reg_exUser, $tweet_text, $user)) {
			 
					$tweet_text = preg_replace("/@([a-z_0-9]+)/i", "<a target='_blank' href='http://twitter.com/$1'>$0</a>", $tweet_text);
			 
				}
			 
				// display each tweet in a list item
				echo "<li>" . $tweet_text . "</li>";
			}
			else
			{
				echo '<li>0 results for <b>'.$_POST['target'].'</b> keyword.Please use valid @id or #tag .</li>';
			}	} 
			echo '</ul>';
	}
function buildBaseString($baseURI, $method, $params) {
    $r = array();
    ksort($params);
    foreach($params as $key=>$value){
        $r[] = "$key=" . rawurlencode($value);
    }
    return $method."&" . rawurlencode($baseURI) . '&' . rawurlencode(implode('&', $r));
}
 
 function buildAuthorizationHeader($oauth) {
    $r = 'Authorization: OAuth ';
    $values = array();
    foreach($oauth as $key=>$value)
        $values[] = "$key=\"" . rawurlencode($value) . "\"";
    $r .= implode(', ', $values);
    return $r;
}

	public function publishPost()
	{

		$username = $_POST['username'];
		$password = $_POST['password'];
		$rpcurl = $_POST['rpcurl'];

		$blogId = $_POST['blogid'];
		
		$result = mysqli_query($this->db->conn_id,'select * from custom_blogs where id="'.$blogId.'"');
		$row = mysqli_fetch_array($result);
		$title = $row['title'];
		$body = $row['content'];
		//echo $body;
						$last = substr($rpcurl, -1);
						
					if($last == '/')

					{	
						$rpcurl = substr($rpcurl,0,(strlen($rpcurl)-1));
						//echo $rpcurl;
					}						
	
		$rpcurl = $rpcurl.'/xmlrpc.php';
		
		
		$result = $this->wpPostXMLRPC($title,$body,$rpcurl,$username,$password,array(1));
		
		echo $result;
	}
	public function saveBlog()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;
		$title = $_POST['title'];
		$content = $_POST['content'];
		
		
		$this->datamodel->insertBlog($title,$content,$userID);
		
	}
	function wpPostXMLRPC($title,$body,$rpcurl,$username,$password,$categories){
		$categories = implode(",", $categories);
		$XML = "<title>$title</title>".
		"<category>$categories</category>".
		$body;
		$params = array('','',$username,$password,$XML,1);
		$request = xmlrpc_encode_request('blogger.newPost',$params);
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
		curl_setopt($ch, CURLOPT_URL, $rpcurl);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($ch, CURLOPT_TIMEOUT, 1);
		curl_exec($ch);
		curl_close($ch);
		echo 'success';
		}

	   private function send_request($requestname, $params, $rpcurl) {
        $request = xmlrpc_encode_request($requestname, $params);
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_POSTFIELDS, $request);
        curl_setopt($ch, CURLOPT_URL, $rpcurl);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_TIMEOUT, 1);
        $results = curl_exec($ch);
        curl_close($ch);
        return $results;
    }

    public function getCategories() {
				$username = $_POST['username'];
				$password = $_POST['password'];
				$rpcurl = $_POST['rpcurl'];
				

				
					$rpcurl = $rpcurl.'/xmlrpc.php';	
        		$params = array('','',$username,$password);
        $categories = $this->send_request('wp.getCategories', $params, $rpcurl); // your results!
		
		echo $categories;
    }
//get forum list
	public function getForumList()
	{
		$keyword = $_POST['keyword'];
		$forumSearch = 	$keyword.' forums';
	
	echo '<option value="blank">--Select--</option>';	
	
		 $url = 'https://www.googleapis.com/customsearch/v1?googlehost=google.com&key=AIzaSyBW2oiru-fa7gTmHzPVtHhlgxaUX5KzL4M&cx=014517126046550339258:qoem7fagpyk&q='.str_replace(' ', '%20', $forumSearch).'&imgSize=large';	
		 $body = file_get_contents($url);
        $json = json_decode($body,true);
	//print_r($json);
        foreach ($json['items'] as $data) {
            echo '<option value="'.$data['link'].'">'.$data ['title'].'</option>';
        }	
	
		
/*     for ($i = 0; $i < 10; $i++)
    {

       // $url =  "http://ajax.googleapis.com/ajax/services/search/web?v=1.0&key=AIzaSyBacVRiPNo7uMqhtjXG4Zeq1DtSQA_UOD4&cx=014517126046550339258:qoem7fagpyk
       //     &num=10&start=".$i."&"."q=amit";
	   //$url = 'http://www.google.com/search?q=amit';
	   
    $url = "http://ajax.googleapis.com/ajax/services/search/web";
     
	 $args = array(
        'q' => $forumSearch,
 );
    if ( !array_key_exists('v', $args) )
        $args['v'] = '1.0';
     
    $url .= '?'.http_build_query($args, '', '&');	   
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    // note that the referer *must* be set
    curl_setopt($ch, CURLOPT_REFERER, 'http://localhost/searchApi/');
    $body = curl_exec($ch);
    curl_close($ch);

        $json = json_decode($body,true);
		//print_r($json);
		if($json){
        foreach ($json['responseData']['results'] as $data) {
            echo '
				
                <option value="'.$data['url'].'">'.$data ['title'].'</option>
               ';
        }
		}else{echo 'nothing find';}
    }	 */	
	}
	//upload file and read
	public function uploadFile()
	{echo 'outside';
	   if(isset($_FILES['image'])){
		   echo 'inside';
		  $errors= array();
		  $file_name = $_FILES['image']['name'];
		  $file_size =$_FILES['image']['size'];
		  $file_tmp =$_FILES['image']['tmp_name'];
		  $file_type=$_FILES['image']['type'];
		  $file_ext=strtolower(end(explode('.',$_FILES['image']['name'])));
		  
		  $expensions= array("jpeg","jpg","png","txt");
		  
		  if(in_array($file_ext,$expensions)=== false){
			 $errors[]="extension not allowed, please choose a JPEG or PNG file.";
		  }
		  
		  if($file_size > 2097152){
			 $errors[]='File size must be excately 2 MB';
		  }
		  
		  if(empty($errors)==true){
			 move_uploaded_file($file_tmp,base_url()."uploaded/".$file_name);
			 echo "Success";
			echo file_get_contents(base_url()."uploaded/".$file_name);
		  }else{
			 print_r($errors);
		  }
	   }		
	}
	
	/** logo change**/
	public function change_logo()
	{
		
   
	$this->load->view('pages/logo_change');	
	}
	/** tutorials change**/
	public function tutorials()
	{
		
   
	$this->load->view('pages/tutorials');	
	}	
	/** bonuses change**/
	public function bonuses()
	{
		
   
	$this->load->view('pages/bonuses');	
	}
	/*
	
		inserting logo images
	
	*/
	public function do_upload(){
		

		
	   $config['upload_path']   =  "uploads/logo/";
 
       $config['allowed_types'] =   "gif|jpg|jpeg|png"; 
 
       $config['max_size']      =   "5000";
 
       $config['max_width']     =   "1907";
 
       $config['max_height']    =   "1280";
		
		$config['overwrite']	=	true;
		$config['file_name']	=	'logo-'.rand(111,99999);
		
	   
       $this->load->library('upload',$config);
 
       if(!$this->upload->do_upload())
	
       {
			
           echo $this->upload->display_errors();
			
       }
	     else
 
       {
			
			$finfo=$this->upload->data();
			
          // $this->createThumbnail($finfo['file_name']);
		   $image_name=$finfo['file_name'];
		   $path=$finfo['file_path'];
			$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			
			$status=1;
		 
		   $this->datamodel->insert_logo_img($image_name,$path,$status,$userID);
		//   $this->data['sites'] = $this->datamodel->all();
           $this->load->view('pages/logo_change');
 
           // You can view content of the $finfo with the code block below
			/*
           echo '<pre>';
 
           print_r($finfo);
 
           echo '</pre>';
		   */
 
       }
	}
public function editUser($userId =''){
        
    
        if(    $userId == '' || $userId =='undefined' ){
            
            //echo "UserId is Missing";
            
        $return = array();
            
            $temp = array();
            $temp['header'] = $this->lang->line('users_userAjax_error1_heading');
            $temp['content'] = $this->lang->line('users_userAjax_error1_message');
            
            $return['responseCode'] = 0;
            $return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
            
            die( json_encode( $return ) );
        
        }
        
        $userData = $this->usermodel->getUser($userId);
        
        if( $userData == false ) {
        
            //all did not go well
            $return = array();
            
            $temp = array();
            $temp['header'] = $this->lang->line('users_userAjax_error2_heading');
            $temp['content'] = $this->lang->line('users_userAjax_error2_message');
            
            $return['responseCode'] = 0;
            $return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
            
            echo json_encode( $return );
        
        } else {
            
            //all went well
            $return = array();
            
            $return['responseCode'] = 1;
            $return['responseData'] = $userData;
            
            //print_r($return);
            //exit;
            
            echo json_encode( $return );        
        
        }
    
    
    
    
    }		
	
}